#include "client/rendering/Lines.h"

Lines::Lines() {
    vertexBuffer.bind();
    vertexBuffer.setFloatAttribute(0, 3, 0, 3);
}

void Lines::add(const Vector3& a, const Vector3& b) {
    buffer.add(a);
    buffer.add(b);
}

void Lines::clear() {
    buffer.clear();
}

void Lines::build() {
    vertexBuffer.bindBuffer();
    vertexBuffer.setData(sizeof (Vector3) * buffer.getLength(), buffer.getData());
}

void Lines::draw() const {
    vertexBuffer.bindArray();
    vertexBuffer.drawLines(buffer.getLength());
}